package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ProjectChangeCollection extends AbstractObjectCollection 
{
    public ProjectChangeCollection()
    {
        super(ProjectChangeInfo.class);
    }
    public boolean add(ProjectChangeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ProjectChangeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ProjectChangeInfo item)
    {
        return removeObject(item);
    }
    public ProjectChangeInfo get(int index)
    {
        return(ProjectChangeInfo)getObject(index);
    }
    public ProjectChangeInfo get(Object key)
    {
        return(ProjectChangeInfo)getObject(key);
    }
    public void set(int index, ProjectChangeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ProjectChangeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ProjectChangeInfo item)
    {
        return super.indexOf(item);
    }
}